KABC::DistributionList Class Reference

`#include <distributionlist.h>`

## Classes

struct | Entry

## Public Member Functions

| DistributionList (DistributionListManager *manager, const QString &name)
| ~DistributionList ()
void | setName (const QString &)
QString | name () const
void | insertEntry (const Addressee &, const QString &email=QString::null)
void | removeEntry (const Addressee &, const QString &email=QString::null)
QStringList | emails () const
Entry::List | entries () const

## Detailed Description

Distribution list of email addresses.

This class represents a list of email addresses. Each email address is associated with an address book entry. If the address book entry changes, the entry in the distribution list is automatically updated.

Definition at line 39 of file distributionlist.h.

## Constructor & Destructor Documentation

DistributionList::DistributionList | ( | DistributionListManager * | manager,
|  | const QString & | name
| ) |  |

Create distribution list object.

Parameters

  manager | Managing object of this list.
  name | Name of this list.

Definition at line 33 of file distributionlist.cpp.

DistributionList::~DistributionList | ( |  | ) |

Destructor.

Definition at line 40 of file distributionlist.cpp.

## Member Function Documentation

QStringList DistributionList::emails | ( |  | ) | const

Return list of email addresses, which belong to this distributon list.

These addresses can be directly used by e.g. a mail client.

Definition at line 88 of file distributionlist.cpp.

DistributionList::Entry::List DistributionList::entries | ( |  | ) | const

Return list of entries belonging to this distribution list.

This function is mainly useful for a distribution list editor.

Definition at line 106 of file distributionlist.cpp.

void DistributionList::insertEntry | ( | const Addressee & | a,
|  | const QString & | email = `QString::null`
| ) |  |

Insert an entry into this distribution list.

If the entry already exists nothing happens.

We have to check if both email addresses contains no data, a simple 'email1 == email2' wont work here

Definition at line 55 of file distributionlist.cpp.

QString DistributionList::name | ( |  | ) | const

Get name of this list.

Definition at line 50 of file distributionlist.cpp.

void DistributionList::removeEntry | ( | const Addressee & | a,
|  | const QString & | email = `QString::null`
| ) |  |

Remove an entry from this distribution list.

If the entry doesn't exist nothing happens.

Definition at line 77 of file distributionlist.cpp.

void DistributionList::setName | ( | const QString & | name | ) |

Set name of this list.

The name is used as key by the DistributinListManager.

Definition at line 45 of file distributionlist.cpp.

The documentation for this class was generated from the following files:

- distributionlist.h
- distributionlist.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys